me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleDamageEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleDamageEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class VehicleDamageEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleDamageEvent(SpawnedVehicle vehicle, DamageType type, int damageAmount)` This event is being triggered when a vehicle is getting damage

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getDamageAmount()`
`DamageType` `getDamageType()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`SpawnedVehicle` `getVehicle()`
`boolean` `isCancelled()`
`void` `setCancelled(boolean cancel)`
`void` `setDamageAmount(int damageAmount)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleDamageEvent

    public VehicleDamageEvent(SpawnedVehicle vehicle,
                              DamageType type,
                              int damageAmount)

This event is being triggered when a vehicle is getting damage

Parameters:
  `vehicle` - the vehicle that is getting damage
  `damageAmount` - the amount of damage

### Method Detail

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancel)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getVehicle

    public SpawnedVehicle getVehicle()

#### getDamageType

    public DamageType getDamageType()

#### getDamageAmount

    public int getDamageAmount()

#### setDamageAmount

    public void setDamageAmount(int damageAmount)